package com.willalp.files.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.files.domain.HsOrgPersonnelFiles;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 机构人员档案Mapper接口
 *
 * @author willalp
 * @date 2022-08-01
 */
public interface HsOrgPersonnelFilesMapper extends BaseMapper<HsOrgPersonnelFiles> {
    /**
     * 查询机构人员档案列表
     *
     * @param hsOrgPersonnelFiles 机构人员档案
     * @return 机构人员档案集合
     */
    List<HsOrgPersonnelFiles> selectHsOrgPersonnelFilesList(HsOrgPersonnelFiles hsOrgPersonnelFiles);


    @Select("select user_code,user_name,phone from hs_org_personnel_files")
    List<HsOrgPersonnelFiles> templateHsOrgPersonnelFilesList();
}
